JTS Topology Suite version 1.13

## com.vividsolutions.jts.util.memory
Class MemorySizes

    java.lang.Object
      com.vividsolutions.jts.util.memory.MemorySizes

    public class MemorySizes

extends java.lang.Object

Specifies memory sizes of various Java language types and components.

Author:
  Martin Davis

Constructor Summary
`MemorySizes()`

Method Summary
`int` `getArraySize()`
`int` `getObjectSize()`
`int` `getPrimitiveArrayElementSize(java.lang.Class clazz)`
`int` `getPrimitiveFieldSize(java.lang.Class clazz)`
`int` `getReferenceSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemorySizes

    public MemorySizes()

Method Detail

### getPrimitiveFieldSize

    public int getPrimitiveFieldSize(java.lang.Class clazz)

### getPrimitiveArrayElementSize

    public int getPrimitiveArrayElementSize(java.lang.Class clazz)

### getReferenceSize

    public int getReferenceSize()

### getObjectSize

    public int getObjectSize()

### getArraySize

    public int getArraySize()

JTS Topology Suite version 1.13